<div class="container">

	<h1 class="title">
	  {{ 'PAGES.IMGFILTER.IMAGEFILTER' | translate }}
	</h1>
  
	<div class="settings-flex-container">

		<span class="settings">
			<a class="fileBtn" (click)="fileInput.click()">{{ 'PAGES.IMGFILTER.FILE' | translate }}</a>  <!-- a button that triggers a hidden file input field -->
			<input hidden (change)="updateSource($event)" #fileInput type="file" accept=".png, .jpg" id="file">

		</span>

	</div>
  
  
	<div class="flex-container">
	  <div class="flex-item item1" >
		<mat-card class="matcard">
			<img *ngIf="source" [src]="source" src="">
			<img *ngIf="!source" src="./assets/noImg.jpg" alt="No image selected">
		</mat-card>
	  </div>

	  <div class="flex-item item2" >
		<mat-form-field appearance="fill">
			<mat-label>{{ 'PAGES.IMGFILTER.TYPE' | translate }}</mat-label>
			<mat-select [(value)]="selected">
			  <mat-option *ngFor="let filter of filters" [value]="filter.value">
				{{filter.viewValue | translate}}
			  </mat-option>
			</mat-select>
		</mat-form-field>

		<!-- Button is disabled if no image has been selected -->
		<div *ngIf="selected=='thresholdFilter'" >0<mat-slider thumbLabel min="0" max="255" step="1" [(value)]="threshold"></mat-slider>255</div>
		<a class="runBtn" [ngClass]="{'disabled': sourcePath == null || loading }" (click)="runJar()">{{ 'PAGES.IMGFILTER.APPLY' | translate }}</a>

	  </div>

	  <div class="flex-item item3" >
		<mat-card class="matcard flex-item">
			<div class="spinner">
				<mat-spinner [diameter]="50" *ngIf="loading"></mat-spinner>
			</div>
			<img *ngIf="filteredImgSrc" [src]=filteredImgSrc src="">
			<img *ngIf="!filteredImgSrc" src="./assets/noImg.jpg" alt="No filter applied">
			<p *ngIf="filteredImgSrc">{{'PAGES.IMGFILTER.SAVELOCATION'|translate}}: {{destinationPath}}</p>
		</mat-card>
	  </div>

	</div>
  
  </div>
  